<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$uz=check($uz);

echo'<img src="../images/img/partners.gif" alt=""> <b>Перевод денег</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {	

##########################################################################
##                        Главная страница
##########################################################################
if(!isset($action)){

echo'У вас в наличии: '.moneys($udata[41]).'<br><br>';

if($udata[36]<150){echo'Ваш статус не позволяет вам переводить деньги<br>Необходимо иметь в активе не менее 150 баллов<br>';}

if($config_themes!=="wml"){
echo'<form action="perevod.php?action=go&amp;uz='.$uz.'&amp;'.SID.'" method="post">';

if(empty($uz) || eregi("[^a-z0-9-]",$uz)){
	
echo'Логин юзера:<br>';
echo'<input type="text" name="uz" maxlength="20" /><br>';

}else{
	
echo'Перевод для <b>'.$uz.'</b>:<br><br>';}
echo'Кол-во денег:<br>';
echo'<input name="gold" /><br>';
echo'<input type="submit" value="Перевести" /></form><hr>';

}else{

if(empty($uz) || eregi("[^a-z0-9-]",$uz)){

echo'Логин юзера:<br>';
echo'<input name="uz" maxlength="20"/><br>';

}else{

echo'Перевод для <b>'.$uz.'</b>:<br><br>';
}

echo 'Кол-во денег:<br>';
echo '<input name="gold"/><br>';
echo '<anchor>Перевести';
echo '<go href="perevod.php?action=go&amp;uz='.$uz.'&amp;'.SID.'" method="post">';
if(empty($uz)){
echo '<postfield name="uz" value="$(uz)"/>';
}else{
echo '<postfield name="uz" value="'.$uz.'"/>';	
}
echo '<postfield name="gold" value="$(gold)"/>';
echo '</go></anchor><br>'; 
}
}

##########################################################################
##                        Перевод
##########################################################################
if($action=="go"){

$gold=(int)$gold;
if($_GET['uz']==""){$uz=$_POST['uz'];}

if($gold>0){
if($udata[36]>=150){
if($gold<=$udata[41]){
if($uz!=$log){
if($uz!=""){
if(file_exists(BASEDIR."local/profil/$uz.prof")){

//------------------------------ Запись в чужой профиль  ----------------------------//
$uzer_file = file(BASEDIR."local/profil/$uz.prof"); 
$uzer_data = explode(":||:",$uzer_file[0]);

$uzer_data[10]++;
$uzer_data[41]=round($uzer_data[41]+$gold);

for ($u2=0; $u2<$config_userprofkey; $u2++){
$uzer_text.=$uzer_data[$u2].':||:';}

if($uzer_data[0]!="" && $uzer_data[1]!="" && $uzer_data[4]!="" && $uzer_text!=""){
$fp2=fopen(BASEDIR."local/profil/$uz.prof","a+");
flock($fp2,LOCK_EX);   
ftruncate($fp2,0);                                                                 
fputs($fp2,$uzer_text);
fflush($fp2);
flock($fp2,LOCK_UN);
fclose($fp2);  
unset($uzer_text);
}

//------------------------Уведомление по привату------------------------//

$filesize= filesize(BASEDIR."local/privat/$uz.$config_priv");
$filesize=round($filesize/1024,2);
$pers=round($filesize*100/$config_limitsmail);
if($pers<99){
	
$mess=base64_encode("Пользователь $log перечислил вам ".moneys($gold));
$tex=$log.'|'.$mess.'|'.$sitetime.'|'; 
	
$fp=fopen(BASEDIR."local/privat/$uz.$config_priv","a+");  
flock ($fp,LOCK_EX);                                                              
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
}

//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=$udata[41]-$gold;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}
//////////////////////////////////////////////////////////////

echo'Перевод успешно завершен! Пользователь <b>'.$uz.'</b> уведомлен о переводе.<br>';

}else{echo'Произошла ошибка, такого адресата не существует!<br>';} 
}else{echo'Произошла ошибка, вы не указали логин пользователя!<br>';}
}else{echo'Произошла ошибка, нельзя переводить самому себе!<br>';}
}else{echo'У вас недостаточно средств для перевода такого количества денег!<br>Всего в наличии: '.moneys($udata[41]).'<br>';}
}else{echo'Ваш статус не позволяет вам переводить деньги!<br>';}
}else{echo'Перевод невозможен укажите верную сумму!<br>';}
	
		
echo'<br><img src="../images/img/back.gif" alt=""> <a href="perevod.php?'.SID.'">Вернуться</a>';
}

}else{
echo '<br>Вы не авторизованы, чтобы совершать операции, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

echo '<br><img src="../images/img/games.gif" alt=""> <a href="../pages/index.php?action=arkada&amp;'.SID.'">Развлечения</a><br>'; 
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>